# RayHitParameters Struct Reference
[Data Structures]

Inheritance diagram for RayHitParameters:

List of all members.

## Public Member Functions
| RayHitParameters ()
| RayHitParameters (RayHit3D *theHit, Ray3D *theRay)
| RayHitParameters (real min, real max, RayHit3D *theHit, Ray3D *theRay)
## Public Attributes
real | tmin
| start parameter of the ray.
real | tmax
| end parameter of the ray.
Ray3D * | ray
| a pointer to the ray.
RayHit3D * | hit
| a pointer to the result of the intersection.
int32 | originInstanceIndex
| index used in the instance grid to identify each instance
int32 | originSubIndexIndex
| index used in the by some some raytracable primitive to identify a sub instance (example: a leaf in a tree)
int32 | originFacetIndex
| index of the facet of the instance that should excluded
void * | additionalInfos
| used in TGrid to do something else than just finding the first rayhit. For example storing all the instances intersected by the ray.
TRayHitAccumulator * | rayHitAccumulator
| Optional struture to store all the ray hits along a ray.

## Detailed Description

Structure used when searching for the intersection of a ray and an object

The fields originInstanceIndex,originSubIndexIndex and originFacetIndex are used to identify a particular triangle that is excluded from intersection calculation (usually the origin of the ray for a reflected ray). If you do not want to provide such a triangle, just use -1 in all those fields.

## Constructor & Destructor Documentation

RayHitParameters::RayHitParameters | ( |  | ) | `[inline]`

RayHitParameters::RayHitParameters | ( | RayHit3D * | theHit,
|  | Ray3D * | theRay |
| ) |  |  | `[inline]`

RayHitParameters::RayHitParameters | ( | real | min,
|  | real | max,
|  | RayHit3D * | theHit,
|  | Ray3D * | theRay |
| ) |  |  | `[inline]`

## Member Data Documentation

void* RayHitParameters::additionalInfos

used in TGrid to do something else than just finding the first rayhit. For example storing all the instances intersected by the ray.

RayHit3D* RayHitParameters::hit

a pointer to the result of the intersection.

int32 RayHitParameters::originFacetIndex

index of the facet of the instance that should excluded

int32 RayHitParameters::originInstanceIndex

index used in the instance grid to identify each instance

int32 RayHitParameters::originSubIndexIndex

index used in the by some some raytracable primitive to identify a sub instance (example: a leaf in a tree)

Ray3D* RayHitParameters::ray

a pointer to the ray.

TRayHitAccumulator* RayHitParameters::rayHitAccumulator

Optional struture to store all the ray hits along a ray.

real RayHitParameters::tmax

end parameter of the ray.

real RayHitParameters::tmin

start parameter of the ray.

The documentation for this struct was generated from the following file:

- RenderTypes.h